Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
ezpContent Class Reference

## Public Member Functions
| setActiveLanguage ( $language)
| __get ( $property)

## Static Public Member Functions
static | create ( $contentType)
static | fromNode (eZContentObjectTreeNode $node, $checkAccess=true)
static | fromNodeId ( $nodeId, $checkAccess=true)
static | fromObjectId ( $objectId, $checkAccess=true)
static | fromObject (eZContentObject $object, $checkAccess=true)

## Public Attributes
| $fields
| $locations
| $activeLanguage

## Protected Attributes
| $object

## Detailed Description

Definition at line 56 of file private/api/content/content.php.

## Member Function Documentation

## ◆ __get()

ezpContent::__get | ( |  | $property | ) |

Definition at line 148 of file private/api/content/content.php.

## ◆ create()

static ezpContent::create | ( |  | $contentType | ) |
| static

Instanciates a new content item

Parameters

  string | $contentType | The content class (article, folder, etc)

Returns
  ezpContent

Definition at line 64 of file private/api/content/content.php.

## ◆ fromNode()

static ezpContent::fromNode | ( | eZContentObjectTreeNode | $node,
|  |  | $checkAccess = `true`
| ) |  |
| static

Instanciates an ezpContent from an eZContentObjectTreeNode

Parameters

  eZContentObjectTreeNode | $node |

Returns
  ezpContent

Definition at line 73 of file private/api/content/content.php.

References $content, $object, ezpContentFieldSet\fromContentObject(), and ezpContentLocation\fromNode().

Referenced by fromNodeId(), and ezpContentRepository\query().

## ◆ fromNodeId()

static ezpContent::fromNodeId | ( |  | $nodeId,
|  |  | $checkAccess = `true`
| ) |  |
| static

Instanciates an ezpContent from an eZContentObjectTreenode Id

Parameters

  int | $nodeId |

Returns
  ezpContent

Definition at line 94 of file private/api/content/content.php.

References fromNode().

## ◆ fromObject()

static ezpContent::fromObject | ( | eZContentObject | $object,
|  |  | $checkAccess = `true`
| ) |  |
| static

Instanciates an ezpContent from an eZContentObject

Parameters

  eZContentObject | $objectId |

Returns
  ezpContent

Definition at line 122 of file private/api/content/content.php.

References $content, $object, and ezpContentFieldSet\fromContentObject().

Referenced by fromObjectId().

## ◆ fromObjectId()

static ezpContent::fromObjectId | ( |  | $objectId,
|  |  | $checkAccess = `true`
| ) |  |
| static

Instanciates an ezpContent from an eZContentObject Id

Parameters

  int | $objectId |

Returns
  ezpContent

Definition at line 108 of file private/api/content/content.php.

References $object, and fromObject().

## ◆ setActiveLanguage()

ezpContent::setActiveLanguage | ( |  | $language | ) |

Sets the currently active language for attributes handling

Parameters

  string | $activeLanguage | Locale, as xxx-XX

Returns
  void

Definition at line 142 of file private/api/content/content.php.

References $language.

## Member Data Documentation

## ◆ $activeLanguage

ezpContent::$activeLanguage

Definition at line 200 of file private/api/content/content.php.

## ◆ $fields

ezpContent::$fields

Definition at line 182 of file private/api/content/content.php.

## ◆ $locations

ezpContent::$locations

Definition at line 188 of file private/api/content/content.php.

## ◆ $object

ezpContent::$object
| protected

Definition at line 194 of file private/api/content/content.php.

Referenced by fromNode(), fromObject(), and fromObjectId().

The documentation for this class was generated from the following file:

- private/api/content/content.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.